print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecoco = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cocoHudFile = "Paletten/hud_fill_coco.dds"
	local cocoHudFileSmall = "Paletten/hud_fill_coco_small.dds"
	
    local cocoFilType = g_fillTypeManager:addFillType("COCO", g_i18n:getText("coco"), true, pricecoco * 1.2, 0.00045, math.rad(10), cocoHudFile, cocoHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascoco=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascoco=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "COCO" then
		hascoco=true
	end;
		
end;

		if hasmaize and not hascoco then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("COCO")
		local price = g_fillTypeManager:getFillTypeByName("COCO").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COCO")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)