print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebanane = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local bananeHudFile = "Paletten/hud_fill_banane.dds"
	local bananeHudFileSmall = "Paletten/hud_fill_banane_small.dds"
	
    local bananeFilType = g_fillTypeManager:addFillType("BANANE", g_i18n:getText("banane"), true, pricebanane * 1.1, 0.00045, math.rad(10), bananeHudFile, bananeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasbanane=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasbanane=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "BANANE" then
		hasbanane=true
	end;
		
end;

		if hasmaize and not hasbanane then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BANANE")
		local price = g_fillTypeManager:getFillTypeByName("BANANE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BANANE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)